Bug 58516 - Rare new aioobe in 3.13 on initialization of a handful of ppts
Summary: Rare new aioobe in 3.13 on initialization of a handful of ppts
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSLF (show other bugs)
Version: 3.13-FINAL
Hardware: PC All
: P2 regression (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-22 00:58 UTC by Tim Allison
Modified: 2015-10-30 13:10 UTC (History)
0 users



Attachments
One triggering file from govdocs1 (62.00 KB, application/vnd.ms-powerpoint)
2015-10-22 00:58 UTC, Tim Allison
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Allison 2015-10-22 00:58:04 UTC
Created attachment 33191 [details]
One triggering file from govdocs1

While running regression testing for the release of Tika 1.11...we found a handful of new exceptions during initialization of some ppts (TIKA-1780).

One example file attached.
Comment 1 Tim Allison 2015-10-22 01:04:44 UTC
Many apologies for not running these regression tests before we released 3.13! :(
Comment 2 Dominik Stadler 2015-10-29 22:16:44 UTC
Sample exception:

java.lang.IndexOutOfBoundsException: Index: 1, Size: 1
	at java.util.ArrayList.rangeCheck(ArrayList.java:653)
	at java.util.ArrayList.get(ArrayList.java:429)
	at org.apache.poi.hslf.usermodel.HSLFTextParagraph.applyParagraphIndents(HSLFTextParagraph.java:1260)
	at org.apache.poi.hslf.usermodel.HSLFTextParagraph.findTextParagraphs(HSLFTextParagraph.java:1171)
	at org.apache.poi.hslf.usermodel.HSLFTextParagraph.findTextParagraphs(HSLFTextParagraph.java:1081)
	at org.apache.poi.hslf.usermodel.HSLFTextParagraph.findTextParagraphs(HSLFTextParagraph.java:1017)
	at org.apache.poi.hslf.usermodel.HSLFTitleMaster.<init>(HSLFTitleMaster.java:41)
	at org.apache.poi.hslf.usermodel.HSLFSlideShow.buildSlidesAndNotes(HSLFSlideShow.java:334)
	at org.apache.poi.hslf.usermodel.HSLFSlideShow.<init>(HSLFSlideShow.java:143)
	at org.apache.poi.hslf.extractor.PowerPointExtractor.<init>(PowerPointExtractor.java:136)
	at org.apache.poi.hslf.extractor.PowerPointExtractor.<init>(PowerPointExtractor.java:117)
	at org.apache.poi.extractor.ExtractorFactory.createExtractor(ExtractorFactory.java:262)
	at org.apache.poi.extractor.ExtractorFactory.createExtractor(ExtractorFactory.java:231)
	at org.apache.poi.extractor.ExtractorFactory.createExtractor(ExtractorFactory.java:137)
	at org.apache.poi.stress.AbstractFileHandler.handleExtractingInternal(AbstractFileHandler.java:85)
	at org.apache.poi.stress.AbstractFileHandler.handleExtracting(AbstractFileHandler.java:64)
	at org.apache.poi.stress.HSLFFileHandler.testExtractor(HSLFFileHandler.java:65)
Comment 3 Andreas Beeker 2015-10-29 23:24:06 UTC
Fixed with r1711380 / r1711381
Please give it a try in Tika.
Comment 4 Tim Allison 2015-10-30 13:10:13 UTC
Will do...prob have to push to next week.  Argh.  Thank you!